#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		sname		%(echo %{name} | cut -d '-' -f2-3)
%define		perlvers	%(perl -v | awk '/This/ {print $9}' | sed -e 's/v//' | cut -d'(' -f2 | cut -d')' -f1)
#-----------------------------------------------------------------------------
Name		:	perl-Date-Manip
Version		:	6.79
Release		:	17.0.10.rel%{?dist}
Summary		:	Perl Date manipulation routines

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL+ or Artistic
URL		:	https://metacpan.org/pod/Date::Manip

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	perl

BuildArch	:	noarch

#-----------------------------------------------------------------------------
%description
Date::Manip is a series of modules designed to make any common
date/time operation easy to do. Operations such as comparing
two times, determining a date a given amount of time from another,
or parsing international times are all easily done. It deals
with time as it is used in the Gregorian calendar (the one
currently in use) with full support for time changes due to
daylight saving time.

From the very beginning, the main focus of Date::Manip has been
to be able to do ANY desired date/time operation easily. Many
other modules exist which may do a subset of these operations
quicker or more efficiently, but no other module can do all
of the operations available in Date::Manip.

Date::Manip has functionality to work with several fundamental types of data.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc README
%{_bindir}/dm_*
%{_datadir}/perl5/core_perl/Date/Manip.{pm,pod}
%{_datadir}/perl5/core_perl/Date/Manip/*.{pm,pod}
%{_datadir}/perl5/core_perl/Date/Manip/Lang/*.{pm,pod}
%{_datadir}/perl5/core_perl/Date/Manip/Offset/*.pm
%{_datadir}/perl5/core_perl/Date/Manip/TZ/*.pm
%{_mandir}/man1/dm_*.1.gz
%{_mandir}/man3/*.3.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__perl}							\
	Makefile.PL						\
	INSTALLDIRS=perl					\
	NO_PACKLIST=1						\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}							\
	%{_smp_mflags}						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}							\
	PERL_INSTALL_ROOT=%{buildroot}				\
	pure_install

find %{buildroot} -type f -name .packlist -exec rm -f {} ';'

#-----------------------------------------------------------------------------
%changelog

